import { EventEmitter, QueryList } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { DynamicFormControlComponent, DynamicFormControlModel, DynamicFormControlEvent, DynamicFormRelationService, DynamicTemplateDirective } from "@ng2-dynamic-forms/core";
export declare class DynamicFormBootstrapComponent extends DynamicFormControlComponent {
    bindId: boolean;
    controlGroup: FormGroup;
    group: FormGroup;
    hasErrorMessaging: boolean;
    model: DynamicFormControlModel;
    nestedTemplates: QueryList<DynamicTemplateDirective>;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    templates: QueryList<DynamicTemplateDirective>;
    constructor(relationService: DynamicFormRelationService);
}
